title: |
  Introduction to containers in an airgapped environment

#chat: "[Slack](https://dockercommunity.slack.com/messages/C7GKACWDV)"
#chat: "[Gitter](https://gitter.im/jpetazzo/workshop-yyyymmdd-city)"

gitrepo: github.com/jpetazzo/container.training

slides: https://training.verleun.org/

#slidenumberprefix: "#SomeHashTag &mdash; "

exclude:
- self-paced

content:
- shared/title.md
- logistics-v2.md
- shared/connecting-v2.md
- containers/intro.md
#- k8s/intro.md
- shared/about-slides-v2.md




- shared/toc.md
# Part 1
-
  - containers/Docker_Overview.md
  #- containers/Docker_History.md
  #- containers/Training_Environment.md
  #- containers/Installing_Docker.md
  - containers/First_Containers.md
  - containers/Background_Containers.md
  - containers/Start_And_Attach.md
  - containers/Naming_And_Inspecting.md
  #- containers/Labels.md
  - containers/Getting_Inside.md
# Part 2
-
  - containers/Initial_Images.md
  - airgapped/Importing_Images.md
-
  - containers/Building_Images_Interactively.md
  - containers/Building_Images_With_Dockerfiles.md
  - containers/Cmd_And_Entrypoint.md
  #- containers/Copying_Files_During_Build.md
  #- containers/Exercise_Dockerfile_Basic.md
  - custom/Exercise_Dockerfile.md
-
  - containers/Container_Networking_Basics.md
  #- containers/Network_Drivers.md
  #- containers/Local_Development_Workflow.md
  #- containers/Container_Network_Model.md
  #- containers/Compose_For_Dev_Stacks.md
  #- containers/Exercise_Composefile.md
-
  #- containers/Multi_Stage_Builds.md
  #- containers/Publishing_To_Docker_Hub.md
  #- containers/Dockerfile_Tips.md
  #- containers/Exercise_Dockerfile_Advanced.md
  #- containers/Docker_Machine.md
  #- containers/Advanced_Dockerfiles.md
  #- containers/Buildkit.md
  #- containers/Init_Systems.md
  - containers/Application_Configuration.md
  - containers/Logging.md
  #- containers/Namespaces_Cgroups.md
  #- containers/Copy_On_Write.md
  #- containers/Containers_From_Scratch.md
  #- containers/Container_Engines.md
  - containers/Pods_Anatomy.md
  #- containers/Ecosystem.md
  #- containers/Orchestration_Overview.md
  - shared/thankyou.md
  # - shared/sampleapp.md
  - containers/links.md
#-
  #- shared/webssh.md
  #- k8s/versions-k8s.md

# Bridget doesn't go into as much depth with compose
  #- shared/composescale.md
  #- shared/hastyconclusions.md
  # - shared/composedown.md
  # - k8s/concepts-k8s-v2.md
  # - shared/declarative.md
  # - k8s/declarative.md
  # - k8s/kubenet.md
  # - k8s/kubectlget.md
  # - k8s/setup-overview.md
  #- k8s/setup-devel.md
  #- k8s/setup-managed.md
#   #- k8s/setup-selfhosted.md
# - - k8s/kubectl-run.md
#   #- k8s/batch-jobs.md
#   #- k8s/labels-annotations.md
#   - k8s/kubectl-logs.md
#   - k8s/deploymentslideshow.md
#   - k8s/kubectlexpose.md
#   - k8s/shippingimages.md
#   #- k8s/buildshiprun-selfhosted.md
#   - k8s/buildshiprun-dockerhub.md
#   - k8s/ourapponkube.md
#   #- k8s/localkubeconfig.md
#   #- k8s/access-eks-cluster.md
#   #- k8s/accessinternal.md
#   #- k8s/kubectlproxy.md
# - - k8s/dashboard.md
#   #- k8s/k9s.md
#   #- k8s/tilt.md
#   #- k8s/kubectlscale.md
#   - k8s/scalingdockercoins.md
#   - shared/hastyconclusions.md
#   - k8s/daemonset.md
#   - k8s/rollout.md
#   #- k8s/record.md
# - - k8s/logs-cli.md
# # Bridget hasn't added EFK yet
#   #- k8s/logs-centralized.md
#   - k8s/namespaces.md
#   - k8s/helm-intro.md
#   #- k8s/helm-chart-format.md
#   - k8s/helm-create-basic-chart.md
#   #- k8s/helm-create-better-chart.md
#   #- k8s/helm-dependencies.md
#   #- k8s/helm-values-schema-validation.md
#   #- k8s/helm-secrets.md
#   #- k8s/kustomize.md
#   #- k8s/ytt.md
#   #- k8s/netpol.md
#   - k8s/whatsnext.md
# #  - k8s/links.md
# # Bridget-specific
#   - k8s/links-bridget.md
#   - shared/thankyou.md
